#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n,m;
    scanf("%d",&n);
    scanf("%d",&m);
    int a[n+1];
    a[0]=0;
    for(int i=1;i<=n;i++)
        scanf("%d",&a[i]);
    sort(a,a+n+1);
    int ind=0,rez1=0,rez2=0;
    for(int i=0;i<n;i++)
    {
        rez1+=(a[i+1]-a[i])*i*(n-i);
    }
    /*for(int i=n;i>0;i--)
    {
        rez2+=(a[i]-a[i-1])*i*(n-i);
    }*/
     cout<<rez1;
    return 0;
}